<?
$sub_menu = "100900";
include_once("./_common.php");

if ($is_admin != "super")
    alert("只有最高管理员才能进行操作", $g4[path]);

$g4[title] = "Gunboard程序卸载";

include_once("./admin.head.php");

if($uninstall_ok==1){

	if(!$db_con) $db_con=mysql_connect($hostname,$hostid,$hostpass);
	mysql_select_db($dbname,$db_con) or alert("数据库连接失败！请确认数据库连接信息！");

	$dir_array=array("/data/file/thumb/","/data/member/","/data/banner/","/data/log/");

	$result=mysql_query("select bo_table from $g4[board_table]",$db_con);
	while($data=mysql_fetch_array($result)) {
		if($data[bo_table]){
			@array_unshift($dir_array,"/data/file/".$data[bo_table]."/thumb/");
			@array_unshift($dir_array,"/data/file/".$data[bo_table]."/");
		}
	}	

	@array_unshift($dir_array,"/data/file/");

	$dir_array_size=sizeof($dir_array);
	
	for($i=0;$i<$dir_array_size;$i++){//删除目录
					
		if($handle=@opendir($g4[path].$dir_array[$i])) { 

			while(false!==($file=@readdir($handle))) { 

				if($file!="."&&$file!="..") { 

					if(is_dir($g4[path].$dir_array[$i].$file)){

						$semi_handle=@opendir($g4[path].$dir_array[$i].$file."/");

						while(false!==($files=@readdir($semi_handle))) { 

							if($files!="."&&$files!="..") @unlink($g4[path].$dir_array[$i].$file."/".$files);

						}
						@rmdir($g4[path].$dir_array[$i].$file);
					}
					else @unlink($g4[path].$dir_array[$i].$file);
				} 
			} 
			closedir($handle); 
		}
	}

	@rmdir($g4[path]."/data");	
	@rmdir($g4[path]."/session");
	@rename($g4[path]."/install.bak",$g4[path]."/install");

	@unlink($g4[path]."/dbconfig.php");

	$result=mysql_query("show table status from $dbname like '".$g4[table_prefix]."_%'",$db_con) or die(mysql_error());
	while($data=mysql_fetch_array($result)) {
		if($data[Name]) mysql_query("drop table $data[Name]") or die(mysql_error());
	}	


	alert("Gunboard 上传附件(data 目录下所有文件) 及 $g4[table_prefix].. 数据库删除完毕！\\n\\n请登录服务器删除Gunboard其他文件.\\n\\n否则自动跳转至安装文件",$g4[path]."/install");

}

?>

<script>
<!--
function a_login_check(){
	var aa=document.uninstall;
	if(!aa.hostname.value){
		alert("请输入DB Host");
		aa.hostname.focus();
		return false;
	}
	if(!aa.hostid.value){
		alert("请输入DB user");
		aa.hostid.focus();
		return false;
	}
	if(!aa.hostpass.value){
		alert("请输入DB password");
		aa.hostpass.focus();
		return false;
	}
	if(!aa.dbname.value){
		alert("请输入DB name");
		aa.dbname.focus();
		return false;
	}	
}
//-->
</script>
<BR>
<table border=0 cellspacing=0 cellpadding=10 align=center width=600 style="border:#eee 2 dotted">
<tr>
<td align=center>
	<table border=0 cellspacing=0 cellpadding=10 width=580 style="table-layout:fixed">
	<form method=post action="<?=$PHP_SELF?>" name=uninstall onsubmit="return a_login_check();">
	<input type=hidden name=mode value="<?=$mode?>">
	<input type=hidden name=uninstall_ok value="1">
	<tr>
	<td align=center>
		<table border=0 cellspacing=0 cellpadding=3 align=center width=500>
		<col width=200></col><col width=></col>	
		<tr><td height=40 colspan=2 align=center style=padding:20 bgcolor=f5f5f5><span style=color:ff6600;font-size:16><B>注意! 请谨慎操作!</B></span><BR><BR><p>点击[执行卸载]将立刻删除本站所有Gunboard数据及附件</p><p>删除后的数据将无法修复</p><p>避免误删建议您执行备份操作后再执行删除</p></td></tr>
		<tr><td height=20 colspan=2></td></tr>		
		<tr align=left>
		<td align=right>DB host</td>
		<td><input type=text size=20 style="border:#ccc 1 solid" style="height:20px" name="hostname" value="localhost" <?=$false?>></td>
		</tr>
		<tr align=left>
		<td align=right>DB user</td>
		<td><input type=text size=20 style="border:#ccc 1 solid" style="height:20px" name="hostid" <?=$false?>></td>
		</tr>
		<tr align=left>
		<td align=right>DB password</td>
		<td><input type=password size=20 style="border:#ccc 1 solid" style="height:20px" name="hostpass" <?=$false?>></td>
		</tr>
		<tr align=left>
		<td align=right>DB name</td>
		<td><input type=text size=20 style="border:#ccc 1 solid" style="height:20px" name="dbname" <?=$false?>></td>
		</tr>		
		<tr><td height=10 colspan=2></td></tr>
		<tr>
		<td colspan=2 align=center><input type=submit value="执行卸载" style="height:30" <?=$false?>></td>
		</tr>
		</table>
	</td>
	</tr>
	</form>	
	</table>
</td>
</tr>
</table>
<?
include_once("./admin.tail.php");
?>
